# ParticleTarget(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ParticleTarget`(bpy_struct)

  Target particle system

  `alliance`

    Type: | enum in [‘FRIEND’, ‘NEUTRAL’, ‘ENEMY’], default ‘NEUTRAL’

  `duration`

    Type: | float in [0, 1.04857e+06], default 0.0

  `is_valid`

    Keyed particles target is valid

    Type: | boolean, default False

  `name`

    Particle target name

    Type: | string, default “”, (readonly, never None)

  `object`

    The object that has the target particle system (empty if same object)

    Type: | `Object`

  `system`

    The index of particle system on the target object

    Type: | int in [1, inf], default 0

  `time`

    Type: | float in [0, 1.04857e+06], default 0.0

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ParticleSystem.active_particle_target` | `ParticleSystem.targets`